Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Mandrake Local Security Checks >> MDKSA-2005:098: wget


Vulnerability Assessment Details

MDKSA-2005:098: wget

Vulnerability Assessment Summary
Check for the version of the wget package

Detailed Explanation for this Vulnerability Assessment

The remote host is missing the patch for the advisory MDKSA-2005:098 (wget).



Two vulnerabilities were found in wget. The first is that an HTTP redirect
statement could be used to do a directory traversal and write to files outside
of the current directory. The second is that HTTP redirect statements could be
used to overwrite dot ('.') files, potentially overwriting the user's
configuration files (such as .bashrc, etc.).

The updated packages have been patched to help address these problems by
replacing dangerous directories and filenames containing the dot ('.')
character with an underscore ('_') character.



Solution : http://wwwnew.mandriva.com/security/advisories?name=MDKSA-2005:098
Network Security Threat Level: High

Networks Security ID:

Vulnerability Assessment Copyright: This script is Copyright (C) 2005 Tenable Network Security

Cables, Connectors

IBM DESKSTAR 3.5" (07N8450) IDE - 40 GB HDD 
$5.3
IBM DESKSTAR 3.5CarQuest Electric Fuel Pump E3290N Exceeds OE Specs E219658 Brand NEW cy
$37.99
CarQuest Electric Fuel Pump E3290N Exceeds OE Specs E219658 Brand NEW         cy pictureST3500418AS, Z2A, TK, PN 9SL142-141, FW CC46, Seagate 500GB SATA 3.5 Hard Drive
$50.23
ST3500418AS, Z2A, TK, PN 9SL142-141, FW CC46, Seagate 500GB SATA 3.5 Hard Drive picture


Discussions

No Discussions have been posted on this vulnerability.